import java.awt.Canvas;

public class Class4 {

   static Class405 aClass405_111;
   public static int anInt112;


   public static int method540() {
      Canvas var0 = new Canvas();
      var0.setSize(100, 100);
      Class545 var1 = Class177.method3118(0, var0, (Interface24)null, (Class253)null, 0, -1762747222);
      long var2 = Class339.method6240(-1002891855);

      int var4;
      for(var4 = 0; var4 < 10000; ++var4) {
         var1.method11585(5, 10, 100.0F, 75, 50, 100.0F, 15, 90, 100.0F, -65536, -65536, -65536, 1);
      }

      var4 = (int)(Class339.method6240(2132936039) - var2);
      var1.method11465(0, 0, 100, 100, -16777216, -2008558315);
      var1.method11431(1258312623);
      return var4;
   }

   static void method541() {}

   static void method542() {}

   Class4() throws Throwable {
      throw new Error();
   }

   public static int method543() {
      Canvas var0 = new Canvas();
      var0.setSize(100, 100);
      Class545 var1 = Class177.method3118(0, var0, (Interface24)null, (Class253)null, 0, 507144545);
      long var2 = Class339.method6240(-737409119);

      int var4;
      for(var4 = 0; var4 < 10000; ++var4) {
         var1.method11585(5, 10, 100.0F, 75, 50, 100.0F, 15, 90, 100.0F, -65536, -65536, -65536, 1);
      }

      var4 = (int)(Class339.method6240(1002879958) - var2);
      var1.method11465(0, 0, 100, 100, -16777216, -2004955183);
      var1.method11431(56857311);
      return var4;
   }

   static void method544() {}

   public static int method545() {
      Canvas var0 = new Canvas();
      var0.setSize(100, 100);
      Class545 var1 = Class177.method3118(0, var0, (Interface24)null, (Class253)null, 0, 865734639);
      long var2 = Class339.method6240(95912440);

      int var4;
      for(var4 = 0; var4 < 10000; ++var4) {
         var1.method11585(5, 10, 100.0F, 75, 50, 100.0F, 15, 90, 100.0F, -65536, -65536, -65536, 1);
      }

      var4 = (int)(Class339.method6240(1686914483) - var2);
      var1.method11465(0, 0, 100, 100, -16777216, -2000331065);
      var1.method11431(120274877);
      return var4;
   }

   static Class118 method546(RS2Buffer var0, int var1) {
      int var2 = var0.readUnsignedByte(-700559597);
      Class384 var3 = Class251_Sub3.method14357(var2, 1998522798);
      Object var4 = null;
      switch(1464382585 * var3.anInt4805) {
      case 0:
         var4 = new Class118_Sub10_Sub1(var0);
      case 1:
      case 5:
      default:
         break;
      case 2:
         var4 = new Class118_Sub12(var0);
         break;
      case 3:
         var4 = new Class118_Sub6(var0);
         break;
      case 4:
         var4 = new Class118_Sub17(var0);
         break;
      case 6:
         var4 = new Class118_Sub8(var0);
         break;
      case 7:
         var4 = new Class118_Sub5(var0, 1, 1);
         break;
      case 8:
         var4 = new Class118_Sub16(var0, true);
         break;
      case 9:
         var4 = new Class118_Sub14(var0);
         break;
      case 10:
         var4 = new Class118_Sub11(var0);
         break;
      case 11:
         var4 = new Class118_Sub1(var0);
         break;
      case 12:
         var4 = new Class118_Sub7(var0);
         break;
      case 13:
         var4 = new Class118_Sub4(var0);
         break;
      case 14:
         var4 = new Class118_Sub9(var0);
         break;
      case 15:
         var4 = new Class118_Sub5(var0, 1, 0);
         break;
      case 16:
         var4 = new Class118_Sub20(var0);
         break;
      case 17:
         var4 = new Class118_Sub5(var0, 0, 0);
         break;
      case 18:
         var4 = new Class118_Sub21(var0);
         break;
      case 19:
         var4 = new Class118_Sub23(var0);
         break;
      case 20:
         var4 = new Class118_Sub18(var0);
         break;
      case 21:
         var4 = new Class118_Sub5(var0, 0, 1);
         break;
      case 22:
         var4 = new Class118_Sub22(var0);
         break;
      case 23:
         var4 = new Class118_Sub16(var0, false);
         break;
      case 24:
         var4 = new Class118_Sub19(var0);
         break;
      case 25:
         var4 = new Class118_Sub2(var0);
         break;
      case 26:
         var4 = new Class118_Sub15(var0);
         break;
      case 27:
         var4 = new Class118_Sub3(var0);
         break;
      case 28:
         var4 = new Class118_Sub13(var0);
         break;
      case 29:
         var4 = new Class118_Sub10_Sub2(var0);
      }

      return (Class118)var4;
   }

   static final void method547(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub29_8485.method13477((byte)86)?1:0;
   }

   static final void method548(Class508 var0, int var1) {
      Class124 var2 = var0.aClass515_Sub1_Sub4_Sub4_6021.aClass121_10789.method2338(var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], 1463277484);
      var2.aClass124Array1408 = null;
      var2.aClass124Array1521 = null;
      Class460.method7767(var2, 1175104354);
   }

   static final void method549(Class508 var0, byte var1) {
      var0.anInt6007 -= 907612006;
      if(var0.aLongArray6008[var0.anInt6007 * 993230715] >= var0.aLongArray6008[1 + var0.anInt6007 * 993230715]) {
         var0.anInt6025 += var0.anIntArray6023[var0.anInt6025 * 1651565071] * 2029505775;
      }

   }
}
